It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

I am trying to install this patch , which was recommended in this thread . It doesn't seem to work for me, though. I followed the installation instructions and when I load up the game, it still says version 1.2 at the bottom right part of the screen(main menu). Any ideas?
No posts in this topic were marked as the solution yet. If you can help, add your reply
second this question
Have you tried the Semi-official 1.2.1 patch first? I would supply the link, but the forums won't let me for some stupid reason.
Version 1.3.5 doesn't change the label in the actual game screen, so it will still say 1.2, so that's normal.